Bug 11566 - ldconfig doesn't do the right thing
ldconfig doesn't do the right thing
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 11928
  Show dependency treegraph
 
Reported: 2000-05-21 21:41 EDT by Jonathan Kamens
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-12 16:31:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2000-05-21 21:41:51 EDT
ldconfig in glibc-2.1.90-11 is supposed to create symbolic links pointing
at the most recent version of a library, isn't it?  It doesn't appear to be
doing that:

# ls -l /usr/lib/libtclx* /usr/lib/libtkx*
-rw-r--r--    1 root     root       199290 Mar 18 18:19
/usr/lib/libtclx8.2.a
-rwxr-xr-x    1 root     root       160056 Mar 18 18:19
/usr/lib/libtclx8.2.so
-rw-r--r--    1 root     root         5370 Mar 18 18:19
/usr/lib/libtkx8.2.a
-rwxr-xr-x    1 root     root        10657 Mar 18 18:19
/usr/lib/libtkx8.2.so
# ldconfig
# ls -l /usr/lib/libtclx* /usr/lib/libtkx*
-rw-r--r--    1 root     root       199290 Mar 18 18:19
/usr/lib/libtclx8.2.a
-rwxr-xr-x    1 root     root       160056 Mar 18 18:19
/usr/lib/libtclx8.2.so
-rw-r--r--    1 root     root         5370 Mar 18 18:19
/usr/lib/libtkx8.2.a
-rwxr-xr-x    1 root     root        10657 Mar 18 18:19
/usr/lib/libtkx8.2.so

Why didn't it create /usr/lib/libtkx.8.so and /usr/lib/libtclx.8.so?
Comment 1 Hardy Mayer 2000-06-06 13:07:55 EDT
see also bug 11928 for cause and remedies.
Comment 2 Jakub Jelinek 2000-12-19 11:26:18 EST
What symbolic link would you expect?
ldconfig creates a symlink with name coming from DSO's SONAME to DSO's real
filename. libtclx* nor libtkx* don't have any SONAME in its DYNAMIC sections.

Note You need to log in before you can comment on or make changes to this bug.